Subject: Re: [PATCH] Revert "kconfig: Temporarily disable dependency warnings"

From: Randy Dunlap <[email-masked]>
Date: Sun, 21 Nov 2010 17:44:56 -0800

On Mon, 22 Nov 2010 11:48:01 +1100 Stephen Rothwell wrote:

> On Fri, 29 Oct 2010 11:37:31 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > On Tue, 12 Oct 2010 15:19:46 +0200 Michal Marek <[email-masked]> wrote:
> > >
> > > This reverts commit 71ebc01, which was a 2.6.36-only stopgap solution.
> > 
> > I was hoping that we would have the number of these warnings down to
> > something reasonable before this revert made it into Linus' tree ...
> > 
> > I guess fixing the V4L stuff will become a bit more urgent, now :-)
> 
> Is there any chance that the V4L kconfig warnings will be fixed?  It is
> quite irritating for those of us who do allmodconfig (and allyesconfig)
> builds ...

Yes, the MEDIA kconfig warnings are irritating.
I just use "grep -v MEDIA" to ignore them.  :)

I haven't seen any email from Michal for more than one week.
Hopefully he will be back soon.

There are patches from Arnaud Lacombe <[email-masked]>
to introduce a VISIBLE property for kconfig symbols (this fixes the
MEDIA kconfig warnings), but Michal has not commented on them.

---
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***